Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## java.rmi
Class NotBoundException

    java.lang.Object
      |
      +--java.lang.Throwable
            |
            +--java.lang.Exception
                  |
                  +--java.rmi.NotBoundException

All Implemented Interfaces:
  Serializable

public class NotBoundException
extends Exception

A `NotBoundException` is thrown if an attempt is made to lookup or unbind in the registry a name that has no associated binding.

Since:
  JDK1.1
See Also:
  `Naming.lookup(String)`, `Naming.unbind(String)`, `Registry.lookup(String)`, `Registry.unbind(String)`, Serialized Form

Constructor Summary
`NotBoundException()` Constructs a `NotBoundException` with no specified detail message.
`NotBoundException(String s)` Constructs a `NotBoundException` with the specified detail message.

Methods inherited from class java.lang.Throwable
`fillInStackTrace, getLocalizedMessage, getMessage, printStackTrace, printStackTrace, printStackTrace, toString`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Constructor Detail

### NotBoundException

    public NotBoundException()

  Constructs a `NotBoundException` with no specified detail message.
  Since:
    JDK1.1

### NotBoundException

    public NotBoundException(String s)

  Constructs a `NotBoundException` with the specified detail message.
  Parameters:
    `s` - the detail message
  Since:
    JDK1.1

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| JavaTM 2 Platform Std. Ed. v1.3.1
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug or feature
For further API reference and developer documentation, see Java 2 SDK SE Developer Documentation. That documentation contains more detailed, developer-targeted descriptions, with conceptual overviews, definitions of terms, workarounds, and working code examples.

Java, Java 2D, and JDBC are trademarks or registered trademarks of Sun Microsystems, Inc. in the US and other countries.
Copyright 1993-2001 Sun Microsystems, Inc. 901 San Antonio Road
Palo Alto, California, 94303, U.S.A. All Rights Reserved.